PartialUpdatePanel.js throwing errors under Framework 4.0

Jun 2, 2010 at 6:10 AM

I tried the PartialUpdatePanel control with Framework 4.0 using Visual Studio 2010 and I get some javascript errors. I presume they've changed the javascripts for the ScriptManager, which is causing these errors. Hmm, doesn't seem to be any way I can attach the screenshots on this blog. If you have VS 2010 with Framework 4, you just have to run the sample app and you'll get the 2 errors I'm talking about. The faulty lines are as follows:

Microsoft JScript runtime error: Object doesn't support this action
Line: delete rootObject[currentPart];

Microsoft JScript runtime error: Object doesn't support this property or method
Line: pageRequestManager._destroyTree(contentPanel);

Can anyone suggest some fixes for this. For the second error, visual studio says that _destroyTree is not a method of the PageRequestManager. I guess they've changed this method in framework 4.0